Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.ranking
Interface Ranking

All Known Implementing Classes:
  AdaptiveMC4ConsumptionRanking, AdaptiveTCoRConsumptionRanking, CommonRanking, ConservativeTimeStrideConsumptionRanking, FavorsConsumptionRanking, FavorsSupplyingRanking, GrantsConsumptionRanking, MC4Ranking, MCoSConsumptionRanking, MergedRanking, MTBCConsumptionRanking, MTTCConsumptionRanking, PerformanceConsumptionRanking, ReliableMLConsumptionRanking, StorageAffinityConsumptionRanking, TCaRConsumptionRanking, TCoRConsumptionRanking

    public interface Ranking

Author:
  Cyril Briquet

Method Summary
`int` | `getBlacklistedPeerCount()`
`float` | `getBlacklistedPeerRatio()`
`int` | `getPeerCount()`
`int` | `getRankedPeerCount()`
`float` | `getRankedPeerRatio()`
`int` | `getUnrankedPeerCount()`
`float` | `getUnrankedPeerRatio()`
`int[]` | `peersRanking()` Ranks Peers by decreasing value.
`java.lang.String` | `toString()`

Method Detail

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### peersRanking

    int[] peersRanking()

  Ranks Peers by decreasing value.

### getPeerCount

    int getPeerCount()

### getRankedPeerRatio

    float getRankedPeerRatio()

### getUnrankedPeerRatio

    float getUnrankedPeerRatio()

### getBlacklistedPeerRatio

    float getBlacklistedPeerRatio()

### getRankedPeerCount

    int getRankedPeerCount()

### getUnrankedPeerCount

    int getUnrankedPeerCount()

### getBlacklistedPeerCount

    int getBlacklistedPeerCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.